import type { Fn } from "@thi.ng/api";
import type { Term } from "./api/nodes.js";
import type { TargetImpl } from "./api/target.js";
/**
 * Takes an object of code generator functions and returns a new code generator
 * / compile target function which serializes a given AST using the provided
 * node type implementations.
 *
 * [`targetGLSL()`](https://docs.thi.ng/umbrella/shader-ast-glsl/functions/targetGLSL.html)
 *
 * @param impls -
 */
export declare const defTarget: <T>(impls: TargetImpl<T>) => Fn<Term<any>, T>;
//# sourceMappingURL=target.d.ts.map